Jump to content

All Activity

This stream auto-updates     

  1. Past hour
  2. BIGAL

    Lisp to change view in modelspace

    Just a question if you have a block why are you manually changing the block postion, if the block has an attribute of say ID then just find that one and reset the Y value, just have a csv file id,value then adjust all in one go.
  3. I have been very busy lately moved house but will try to have a look at it over the next couple of days.
  4. Hi Yall, Got this strange issue where when i'm printing dot hatch pattern, it doesn't seem to print out, even though it shows up fine in plot preview. If i export to pdf and print, the hatch looks fine. It just doesn't show up when i print straight from autocad. Don't want to have to always print from pdf though There are other users who can print the same file to the same printer and its all good so thats telling me it must be a setting somewhere, just not sure what it could be Tried adding new plotter with new pc3 file (same printer as previous just with new name/setup) but same thing still happens edit - the hatch prints when i change it to come out black instead of coloured.. need it to be coloured though. and if other machines can print it properly this one should too
  5. Today
  6. TunzaGibbo

    Continuing command

    You make a good point about saving and resetting variables. In some routines I change the layers and linetypes many times, so I thought it was easier to have those 2 functions running rather than having separate reset functions each time I change a variable. I guess that's just the way I think. What would be a better way?
  7. Yesterday
  8. I think this is perfect ,with one command, job is done, tomorrow i will test it more, but i looks like it runs perfect sofar!!
  9. Try this: (defun c:mpolyoutlineh (/ b e h i s) (if (setq s (ssget "_X" '((0 . "LWPOLYLINE") (-4 . "<NOT") (-4 . "<>") (42 . 0.0) (-4 . "NOT>")))) (progn (repeat (setq i (sslength s)) ;; RJP mod to apply solid hatch to outlines ;; Odd results if you have self intersecting plines (foreach c (lm:polyoutline (setq e (ssname s (setq i (1- i))))) (setq b (vlax-ename->vla-object (cdr (assoc 330 (entget e))))) (cond ((setq h (vlax-invoke b 'addhatch achatchobject "SOLID" :vlax-true)) (vlax-invoke h 'appendouterloop (list (vlax-ename->vla-object c))) (vla-evaluate h) (vla-put-layer h (cdr (assoc 8 (entget e)))) ) ) ) ;; If the layer is locked nothing will be deleted (entdel e) ) ) ) (princ) )
  10. SOrry thx for yur time! The lisp works good, but there are severals steps 2 do it, Like when i type MPOLYOUTLINEH, it ask me select object, i then select objects, then it ask me delete yes or no, and i click Yes, then it finish. I would like to see the lisp that don't have do step bij step, but instant change it. I do apolgize for all my mistaken/request.
  11. Sorry .. I'm not sure what you want.
  12. I was able to try the various lisp on another computer ... they all work perfectly, thanks again!
  13. itacad

    Effects of mouseover ...

    Hello...I don't like ribbon, I prefer the classic view...so I chose to "minimize panel buttons", but I do not even want the "pop-up" of the menu when the mouseovers...is it possible to exclude automatisms and replace them with voluntary mouse clicks? The same problem is for example with the properties window, that I have anchored on the right side of the screen but I always have to keep it open because the "hide automatically" set, makes it reappear at the simple passage of the mouse ... and in my opinion it is very annoying! as for the hide, I would like to reappear by clicking on volunteers...is it possible? Another example which I however happily solved is for the file tab with the use of two variables (FILETABPREVIEW=0 and FILETABTHUMBHOVER=0) Greetings
  14. still asking select objects, iam using acad 2017 is that maybe a problem? Command: MPOLYOUTLINEH Select objects: Specify opposite corner: 3 found Select objects: Specify opposite corner: 3 found (3 duplicate), 3 total Select objects: Delete Original? [Yes/No] <Yes>:
  15. sorry confuse You, but my idea is, when i type mpolyoutlineh the lisp Lee or the yours it turns all Polylines to outline and instant change to Hatch solid. so i dont have to select the polylines. Just 1 lisp do all the work, with one command like mpolyoutlineh
  16. I'm confused. The prompt to select objects is to select the polylines you want to convert. You also have to load all of the code from Lee's site as it is the base of the program.
  17. Not sure .. works here? Are you calling the correct code ? c:mpolyoutlineh
  18. Hello Ronjonp, I load the lisp and type mpolyoutlineh, then the lisp still ask me to select te object etc? but doesn't automatic convert the Pline to Hatch solid? it would be great, if the lisp not asking all the questions.
  19. (defun c:mpolyoutlineh (/ b d e h i s) (if (setq s (ssget "_:L" '((0 . "LWPOLYLINE") (-4 . "<NOT") (-4 . "<>") (42 . 0.0) (-4 . "NOT>")))) (progn (initget "Yes No") (setq d (/= "No" (getkword "\nDelete Original? [Yes/No] <Yes>: "))) (setq b (vlax-get (vla-get-activedocument (vlax-get-acad-object)) (if (= (getvar 'cvport) 1) 'paperspace 'modelspace ) ) ) (repeat (setq i (sslength s)) ;; RJP mod to apply solid hatch to outlines ;; Odd results if you have self intersecting plines (foreach c (lm:polyoutline (setq e (ssname s (setq i (1- i))))) (cond ((setq h (vlax-invoke b 'addhatch achatchobject "SOLID" :vlax-true)) (vlax-invoke h 'appendouterloop (list (vlax-ename->vla-object c))) (vla-evaluate h) (vla-put-layer h (cdr (assoc 8 (entget e)))) ) ) ) (if d (entdel e) ) ) ) ) (princ) )
  20. Tharwat

    Continuing command

    You may encounter the same issue since you are using later version than mine as shown into your profile if you have time to test that out.
  21. Lee Mac

    Continuing command

    It would seem that Autodesk have broken this function with later versions of AutoCAD
  22. Hello Ronjonp, the lisp is almost perfect, but can u make it, so by command P2H, it autom. select all Polyline and make the hatch solid? like attachment?
  23. Tharwat

    Continuing command

    I guess the vl-cmdf will always return true once the arguments are valid and to while function as in the above case and even if the user tries to hit ESC, the command won't stop at all until the user forcing AutoCAD to exit with the use of Windows Task Manager as I tried this myself just now with AutpCAD 2017. So even though the error function would not useful in this case because it is not reachable and I don't know how did that work with the user anyway.
  1. Load more activity
  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×